%define major 	0
%define libname %mklibname avc1394_ %major
%define libnamedev %mklibname avc1394 -d

Name: 		libavc1394
Version: 	0.5.4
Release: 	%mkrel 9
Summary:        Control AV firewire devices
License: 	GPL
Group: 		System/Libraries
Source0: 	http://downloads.sourceforge.net/libavc1394/%{name}-%{version}.tar.gz
URL:            http://sourceforge.net/projects/libavc1394
BuildRequires: 	pkgconfig(libraw1394) >= 1.0.0

%description
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %{libname}
Summary: FireWire interface
Group: System/Libraries
Provides: libavc1394 = %version-%release

%description -n %{libname}
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %{libnamedev}
Summary: FireWire interface
Group: Development/C
Provides: libavc1394-devel = %version-%release
Provides: libavc-devel = %version-%release
Requires: %libname = %{version}
Obsoletes: %{_lib}avc1394_0-devel

%description -n %{libnamedev}
libavc1394 is a programming interface for the 1394 Trade
Association AV/C (Audio/Video Control) Digital Interface
Command Set. It is intended for use with GNU/Linux IEEE-1394

%package -n %name-tools
Summary: FireWire interface
Group: Development/C
Requires: %libname = %{version}
Obsoletes: libavc1394_0-testools

%description -n %name-tools
Contains test tools for the libavc1394 library.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la
cp test/.libs/romtest %{buildroot}/%_bindir

%files -n %{libname}
%doc README NEWS INSTALL COPYING AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %name-tools
%_bindir/*
%_mandir/man1/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.5.4-9.mga8
+ Revision: 1513936
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.4-8.mga7
+ Revision: 1298764
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 0.5.4-7.mga7
+ Revision: 1233904
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.5.4-6.mga6
+ Revision: 945730
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.4-5.mga5
+ Revision: 748947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.4-4.mga5
+ Revision: 681343
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.4-3.mga4
+ Revision: 506866
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.4-2.mga3
+ Revision: 356845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 fwang <fwang> 0.5.4-1.mga2
+ Revision: 218293
- new verison 0.5.4

* Tue Sep 13 2011 fwang <fwang> 0.5.3-9.mga2
+ Revision: 142900
- adjust br
- drop .la files

* Thu Jan 13 2011 ahmad <ahmad> 0.5.3-8.mga1
+ Revision: 7819
- drop old/unneeded scriptlets
- imported package libavc1394


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-7mdv2011.0
+ Revision: 602525
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-6mdv2010.1
+ Revision: 520754
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.5.3-5mdv2010.0
+ Revision: 425517
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.5.3-4mdv2009.1
+ Revision: 320390
- new devel package policy

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.5.3-3mdv2009.0
+ Revision: 222505
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.5.3-2mdv2008.1
+ Revision: 150466
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.5.3-1mdv2007.0
+ Revision: 111592
- 0.5.3 release
- Import libavc1394

* Fri May 05 2006 Austin Acton <austin@mandriva.org> 0.5.3-0.72.1mdk
- move to svn to support freebob
- mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.5.1-3mdk
- Rebuild

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 0.5.1-2mdk
- give test package a saner name

* Mon Jul 11 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- 0.5.1
- configure 2.5
- drop patch (seems to be added upstream)
- drop weird obsoletes

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-8mdk
- libtool fixes

* Thu Feb 03 2005 Götz Waschk <waschk@linux-mandrake.com> 0.4.1-7mdk
- spec fixes
- fix deps

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-6mdk
- rename

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-5mdk
- rebuild

